/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.01
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
.woocommerce-message {
    background: #5E2A50;
    color: #fff;
}
.woocommerce-message a.button.wc-forward {
    border-radius: 0;
    padding: 16px 24px;
    font-size: 18px;
    font-family: 'DM Sans';
}
a.button.wc-backward {
    background: #5E2A50;
    color: #fff;
    font-size: 18px;
    font-family: 'DM Sans';
    font-weight: 500;
    border-radius: 0;
    padding: 16px 24px;
}
.woocommerce-checkout .woocommerce-message,
.woocommerce-cart .woocommerce-message {
    display: none;
}
.elementor-widget-woocommerce-my-account button.woocommerce-button.button {
    background: #5E2A50 !important;
    border-radius: 0 !important;
    padding: 16px 24px !important;
    font-family: 'DM Sans' !important;
    font-size: 18px;
    font-weight: 500;
}

form#wpum-submit-registration-form fieldset {
    padding-bottom: 24px;
}
form#wpum-submit-registration-form fieldset label {
    color: #5E2A50;
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 8px;
    font-family: 'DM Sans';
}
form#wpum-submit-registration-form fieldset input {
    border-radius: 0;
    border-color: #DFD4DC;
    padding: 10px 14px;
    color: #9E7F96;
    font-size: 16px;
}
form#wpum-submit-registration-form input.button {
    background: #5E2A50;
    color: #fff;
    width: 100%;
    border-radius: 0;
    font-size: 18px;
    font-weight: 500;
    font-family: 'DM Sans';
    padding: 16px 24px;
}

 .elementor-element .jet-sorting-select {
    outline: none !important;
}
.wcrp-rental-products-is-rental .container__main {
    width: 100% !important;
    max-width: 588px !important;
    border: 1px solid #DFD4DC;
}
.litepicker[data-plugins*="mobilefriendly"] .container__months .month-item,
.litepicker .container__months .month-item-weekdays-row,
.litepicker .container__days,
.litepicker[data-plugins*="mobilefriendly"] .container__months {
    width: 100%;
	box-shadow: none;
}
.litepicker .container__days{
	gap: 5px !important;
}
.litepicker .container__days>div, .litepicker .container__days>a {
    max-width: 77.5px;
    width: 100%;
}
.litepicker .container__days .day-item.is-in-range {
    background: #F8E8E2;
}
.wcrp-rental-products-rental-form-wrap .wcrp-rental-products-rental-form .wcrp-rental-products-rental-totals {
    background: #5E2A50;
    color: #fff;
}
.wcrp-rental-products-rental-form-wrap .wcrp-rental-products-rental-form .wcrp-rental-products-rental-totals:before{
	display: none;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {
    color: #5E2A50;
    text-transform: capitalize;
    font-family: 'DM Sans';
}
.wcrp-rental-products-is-rental .litepicker .container__days .day-item.is-locked {
    background: url(https://desiswitch.com/wp-content/uploads/2026/02/Vector.png);
    color: #9E7F96;
}
.litepicker .container__months .month-item:first-child .button-previous-month,
.litepicker .container__months .month-item:last-child .button-next-month {
    background: #F8E8E2;
    font-weight: 400;
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0;
}

.litepicker {
    width: 100% !important;
}


.size-guide-modal {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 9999;
}

.size-guide-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.6);
}

.size-guide-content {
    position: relative;
    background: #fff;
    width: 744px;
    max-width: 95%;
    margin: 120px auto;
    padding: 30px;
}

.size-guide-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.size-guide-image img {
    width: 100%;
    height: 372px;
    object-fit: cover;
}

.print-measure-link {
    display: block;
    margin-top: 10px;
    font-size: 16px;
    text-decoration: underline;
    color: #5E2A50;
}

.size-guide-right h2 {
    color: #6a2c46;
    margin-bottom: 20px;
    text-align: center;
	font-family: DM Sans;
font-weight: 700;
font-size: 32px;

}
.size-guide-right p{
	font-family: DM Sans;
font-weight: 400;
color:#5E2A50;
font-size: 16px;


}
.unit-toggle {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 30px 0;
}
span.unit-label {
color:#C2858D;
	font-family: DM Sans;
font-weight: 500;
font-size: 16px;


}
span.unit-label.active{
	color:#5E2A50;
	font-family: DM Sans;
font-weight: 500;
font-size: 16px;
}
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 26px;
}


.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    inset: 0;
    background-color: #6b2d57; /* purple */
    border-radius: 50px;
    transition: 0.4s;
}

.slider::before {
    content: "";
    position: absolute;
    height: 21px;
    width: 21px;
    left: 2px;
    top: 3px;
    background-color: white;
    border-radius: 50%;
    transition: 0.4s;
}

input:checked + .slider::before {
    transform: translateX(24px);
}

.switch input { display: none; }

.slider {
    position: absolute;
    cursor: pointer;
    inset: 0;
    background: #6a2c46;
    border-radius: 20px;
}

.size-guide-table {
    margin-top: 20px;
}

.size-row {
    display: flex;
    justify-content: space-between;
    padding: 18px 0 0 0;
    border-bottom: 1px solid #DFD4DC;
}

.size-label {

font-weight: 500;
font-style: Medium;
font-size: 16px;
	color:#5E2A50;

}

.size-value {
	color:#5E2A50;
	font-family: DM Sans;
font-weight: 500;
font-size: 16px;

}

.close-size-guide {
    position: absolute;
    top: -14px;
    right: -15px;
    font-size: 22px;
    cursor: pointer;
    background: #F8E8E2;
	color:#5E2A50;
    border-radius: 100%;
    height: 35px;
    width: 35px;
    text-align: center;
}
.s-page .month-item-weekdays-row {
    display: grid !important;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;
}

.s-page .container__days {
    display: grid !important;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;
}

.s-page .container__days > div:empty {
    display: block;
    height: 0;
}
.s-page .litepicker .container__days > div,
.s-page .litepicker .container__days > a {
    width: 60%;
}

body.wcrp-rental-products-is-rental:not(.wcrp-rental-products-is-rental-purchase-purchase).wcrp-rental-products-rental-form-layout-theme-compatibility .wcrp-rental-products-rental-form-wrap input[type=text].wcrp-rental-products-rental-dates {
    max-width: 588px !important;
    width: 100% !important;
    border: none;
    padding: 0;
    color: #5E2A50;
	    outline: none;
}

/* Product Card Wrapper */
.woocommerce ul.products li.product {
    position: relative;
    overflow: hidden;
}


h2.woocommerce-loop-product__title {
    color: #7E5573 !important;
    font-size: 16px !important;
    font-family: 'DM Sans' !important;
    line-height: 20px !important;
	text-transform: uppercase;
    font-weight: 500 !important;
}

/* Select Options Button */

.custom-overlay {
    position: absolute;
    top: 280px;
    left: 0;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
	    transition: 0.3s all;
}

.select-options-btn {
    background: #fff;
    color: #5E2A50;
    padding: 16px 24px;
    border-radius: 0px;
    font-weight: 500;
    text-decoration: none;
    transition: 0.3s;
	font-family: 'DM Sans';
	font-size: 18px;
}

.select-options-btn:hover {
    background:#5E2A50;
    color: #fff;
}
ul.products.elementor-grid.columns-3 li:hover .custom-overlay {
    opacity: 1;
    top: 200px;
}


.product-brand {
    font-size: 28px;
    color: #5E2A50;
    font-weight: 400;
    font-family: 'DM Serif Text';
}
.elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price ins .amount,
.elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price del .amount,
.elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price {
    color: #5E2A50;
    font-size: 18px;
    font-weight: 400;
    font-family: 'DM Sans';
	    margin-top: 12px;
}
.elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .button {
    pointer-events: none;
    display: none;
}
/* Product Title */
.woocommerce ul.products li.product h2 {
    font-size: 18px;
    font-weight: 600;
}

/* Price */
.woocommerce ul.products li.product .price {
    font-weight: 600;
    color: #6a2c46;
}

.woocommerce .woocommerce-ordering select.orderby {
    border: none;
    padding: 0;
    text-decoration: underline;
    font-size: 18px;
    font-weight: 500;
    font-family: 'DM Sans';
    color: #5E2A50;
	outline none;
}
.woocommerce .woocommerce-result-count {
    margin: 0 0 1em;
    color: #532246;
    font-family: 'DM Sans';
}

p.membernotice-ribon {
    background: #5E2A50;
    width: 100%;
    display: block;
    color: #fff;
    font-size: 10px;
    line-height: 23px;
    text-transform: uppercase;
    font-family: Fraunces;
    padding: 10px 30px;
    margin: 0;
    transform: rotate(307deg);
    text-align: center;
    font-weight: 600;
    letter-spacing: 1.3px;
    position: absolute;
    left: -100px;
    top: 30px;
}
.woocommerce nav.woocommerce-pagination ul {
    background: #5E2A50;
}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span {
	color: #fff;
}
.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current {
    background: #fff;
	color:  #5E2A50;
}
span.onsale {
    display: none !important;
}
span.retail {
    color: #C2858D;
}

@media screen and (max-width: 1024px) {

.litepicker .container__days>div, .litepicker .container__days>a {
    max-width: 59.5px;
    width: 100%;
}
	
}

@media screen and (max-width: 960px) {
    .litepicker .container__days>div, .litepicker .container__days>a {
        max-width: 49.3px;
        width: 100%;
    }
	.product-brand {
    font-size: 18px;
}
	.woocommerce .woocommerce-ordering select.orderby {
		font-size: 16px;
	}
	.woocommerce .woocommerce-ordering {
    position: absolute;
    right: 0;
    top: -42px;
}
	h2.woocommerce-loop-product__title {
    font-size: 12px !important;
    line-height: 16px !important;
}
	.elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price ins .amount, .elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price del .amount, .elementor-widget-wc-archive-products.elementor-wc-products ul.products li.product .price {
    color: #5E2A50;
    font-size: 14px;
    font-weight: 400;
    font-family: 'DM Sans';
    margin-top: 10px;
}
	ul.products.elementor-grid.columns-3 li:hover .custom-overlay {
    top: 90px;
}
	.select-options-btn {

    padding: 12px 24px;
    font-size: 14px;
}
	p.membernotice-ribon {
    font-size: 8px;
    line-height: 16px;
    padding: 4px 05px;
    transform: rotate(-45deg);
    left: -50px;
    top: 30px;
}
}

@media screen and (max-width: 767px) {
    .litepicker .container__days>div, .litepicker .container__days>a {
        max-width: 38.5px;
        width: 100%;
    }
	.rank-math-breadcrumb a, span.last  {
    font-size: 12px;
}
	.size-guide-grid {
    grid-template-columns: 1fr;
}
	.size-guide-content {
    padding: 15px;
		    margin: 70px auto;
}
	.size-guide-image img {
    height: 300px;
}
	.size-guide-right h2 {
    margin-bottom: 15px;
    font-size: 24px;
}
	.size-guide-right p {
    text-align: center;
}
	.close-size-guide {
    top: -18px;
    right: -8px;
    
}
}